{% extends "base_generic.html" %}
{% block title %}
    {{ assessment.title }}
{% endblock title %}
{% block content %}
    <div class="row justify-content-center mb-4">
        <div class="col-md-6">
            <div class="text-center">
                <a {% if user.is_authenticated and user.is_teacher and user == assessment.course.teacher %} class="btn btn-success" {% else %} class="btn btn-success disabled" {% endif %}
                   role="button"
                   href="{% url 'myg:assessment-update' course_id=assessment.course.id pk=assessment.id %}">
                    <i class="fa-solid fa-edit"></i> Edit
                </a>
                <a {% if user.is_authenticated and user.is_teacher and user == assessment.course.teacher %} class="btn btn-success" {% else %} class="btn btn-success disabled" {% endif %}
                   role="button"
                   href="{% url 'myg:assessment-grade-create' course_id=assessment.course.id assessment_id=assessment.id %}">
                    <i class="fa-solid fa-plus"></i> Grade
                </a>
                <a {% if user.is_authenticated and user.is_teacher and user == assessment.course.teacher %} class="btn btn-warning" {% else %} class="btn btn-warning disabled" {% endif %}
                   role="button"
                   href="{% url 'myg:assessment-grade-list' course_id=assessment.course.id assessment_id=assessment.id %}">
                    <i class="fa-solid fa-list"></i> Grades
                </a>
            </div>
        </div>
    </div>
    <div class="row justify-content-center mb-5">
        <div class="col-md-6">
            <ul>
                <li>Assessment: {{ assessment.title }}</li>
                <li>Course: {{ assessment.course.title }}</li>
                <li>Description: {{ assessment.description }}</li>
            </ul>
        </div>
    </div>
{% endblock content %}
